/*************************************************************************
 * Author : Kavitha Subramani
 * Date   : Sep 06 2007
 * Version: 1.0
**************************************************************************/

package com.asc.applet.ui.objects;

import java.io.Serializable;


public class CubeInfo implements Serializable {

	private String xAxisTitle;
	private String yAxisTitle;
	private String zAxisTitle;
	private String[] xAxisLabels;
	private String[] yAxisLabels;
	private String[] zAxisLabels;
	private InnerCube[] innerCubes;
	private int level;
	private String sector;
	
	//static final long serialVersionUID = 99999999999999L;

	
	public int getLevel() {
		return level;
	}
	public void setLevel(int level) {
		this.level = level;
	}
	public String getSector() {
		return sector;
	}
	public void setSector(String sector) {
		this.sector = sector;
	}
	public InnerCube[] getInnerCubes() {
		return innerCubes;
	}
	public void setInnerCubes(InnerCube[] innerCubes) {
		this.innerCubes = innerCubes;
	}
	
	public String[] getXAxisLabels() {
		return xAxisLabels;
	}
	public void setXAxisLabels(String[] axisLabels) {
		xAxisLabels = axisLabels;
	}
	public String[] getYAxisLabels() {
		return yAxisLabels;
	}
	public void setYAxisLabels(String[] axisLabels) {
		yAxisLabels = axisLabels;
	}
	public String[] getZAxisLabels() {
		return zAxisLabels;
	}
	public void setZAxisLabels(String[] axisLabels) {
		zAxisLabels = axisLabels;
	}
	public String getXAxisTitle() {
		return xAxisTitle;
	}
	public void setXAxisTitle(String axisTitle) {
		xAxisTitle = axisTitle;
	}
	public String getYAxisTitle() {
		return yAxisTitle;
	}
	public void setYAxisTitle(String axisTitle) {
		yAxisTitle = axisTitle;
	}
	public String getZAxisTitle() {
		return zAxisTitle;
	}
	public void setZAxisTitle(String axisTitle) {
		zAxisTitle = axisTitle;
	}
	



}
