/*************************************************************************
 * Author : Kavitha Subramani
 * Date   : Sep 06 2007
 * Version: 1.0
**************************************************************************/

package com.asc.behaviors;

import javax.media.j3d.*;
import com.sun.j3d.utils.picking.PickTool;
import com.sun.j3d.utils.picking.PickResult;
import com.sun.j3d.utils.picking.behaviors.PickMouseBehavior;


public class MousePickBehavior extends PickMouseBehavior {
  Appearance savedAppearance = null;
  Shape3D oldShape = null;
  Appearance highlightAppearance;

  public MousePickBehavior(Canvas3D canvas, BranchGroup root,
			       Bounds bounds) {
      super(canvas, root, bounds);
      this.setSchedulingBounds(bounds);
      root.addChild(this); 

      pickCanvas.setMode(PickTool.BOUNDS);
  }

    public void updateScene(int xpos, int ypos) {

		System.out.println("pick highlighting....");

		PickResult pickResult = null;
		Shape3D shape = null;

		pickCanvas.setShapeLocation(xpos, ypos);

		pickResult = pickCanvas.pickClosest();

		if (pickResult != null) {
			System.out.println("Shape Object Selected = " + pickResult.toString());
	    	shape = (Shape3D) pickResult.getNode(PickResult.SHAPE3D);
		}
		
    }
}
