package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class AssetClass {


    protected int asset_class_id;
    protected String asset_class_name;

    public AssetClass(){
        asset_class_id = 0;
        asset_class_name= new String("");

    }
    public AssetClass(int roleId){
        asset_class_id = roleId;
        asset_class_name= new String("");

    }


    public AssetClass(AssetClass pRole) {
        asset_class_id = pRole.asset_class_id;
        asset_class_name= new String(pRole.asset_class_name);

    }

    public AssetClass(HttpServletRequest request) throws Exception {
        asset_class_id = 0;
        asset_class_name= new String("");

        try {

            String asset_class_name = null;
            if (request.getParameter("asset_class_name") != null) {
                asset_class_name = new String(request.getParameter("asset_class_name"));
                setAssetClassName(asset_class_name);
            }


		} catch (Exception e) {
		            throw e;
		}
    }



    /**
     * unique identifier of the AssetClass table
     */
    public int getAssetClassId(){
        return asset_class_id;
    }

    public String getAssetClassIdString() {
        return Integer.toString(asset_class_id);
    }

    public String getAssetClassName(){
        return asset_class_name;
    }


    /**
     * unique identifier of the AssetClass table
     *
     * @param newVal    newVal
     */
    public void setAssetClassId(int newVal){
        asset_class_id = newVal;
    }

    public void setAssetClassName(String newVal){
        asset_class_name = newVal;
    }

    public String toString() {
        String returnString = "AssetClass Id: " + getAssetClassIdString() + " | " +
                "Name: "  + getAssetClassName();
        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}