package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class AuditEvent {


    protected int event_id;
    protected String event_type;

    public AuditEvent(){
        event_id = 0;
        event_type= new String("");

    }
    public AuditEvent(int roleId){
        event_id = roleId;
        event_type= new String("");

    }


    public AuditEvent(AuditEvent pAuditEvent) {
        event_id = pAuditEvent.event_id;
        event_type= new String(pAuditEvent.event_type);

    }

    public AuditEvent(HttpServletRequest request) throws Exception {
        event_id = 0;
        event_type= new String("");

        try {

            String event_type = null;
            if (request.getParameter("event_type") != null) {
                event_type = new String(request.getParameter("event_type"));
                setAuditEventType(event_type);
            }


		} catch (Exception e) {
		            throw e;
		}
    }



    /**
     * unique identifier of the AuditEvent table
     */
    public int getAuditEventId(){
        return event_id;
    }

    public String getAuditEventIdString() {
        return Integer.toString(event_id);
    }

    public String getAuditEventType(){
        return event_type;
    }


    /**
     * unique identifier of the AuditEvent table
     *
     * @param newVal    newVal
     */
    public void setAuditEventId(int newVal){
        event_id = newVal;
    }

    public void setAuditEventType(String newVal){
        event_type = newVal;
    }

    public String toString() {
        String returnString = "Audit Event Id: " + getAuditEventIdString() + " | " +
                              "Audit Event Type: "  + getAuditEventType();
        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}