package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class AxisCategory {


    protected int category_id;

    public AxisCategory(){
        category_id = 0;
    }
    public AxisCategory(int categoryId){
        category_id = categoryId;
    }


    public AxisCategory(AxisCategory pAxisCategory) {
        category_id = pAxisCategory.category_id;
    }

    /**
     * unique identifier of the AxisCategory table
     */
    public int getCategoryId(){
        return category_id;
    }

    public String getCategoryIdString() {
        return Integer.toString(category_id);
    }

    /**
     * unique identifier of the AxisCategory table
     *
     * @param newVal    newVal
     */
    public void setCategoryId(int newVal){
        category_id = newVal;
    }

    public String toString() {
        String returnString = "Category Id: " + getCategoryIdString();
        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}