package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class Group {


    protected int group_id;
    protected String group_name;
    protected String group_description;

    public Group(){
        group_id = 0;
        group_name= new String("");
        group_description= new String("");

    }
    public Group(int roleId){
        group_id = roleId;
        group_name= new String("");
        group_description= new String("");
    }


    public Group(Group pGroup) {
        group_id = pGroup.group_id;
        group_name= new String(pGroup.group_name);
        group_description= new String(pGroup.group_description);
    }

    public Group(HttpServletRequest request) throws Exception {
        group_id = 0;
        group_name= new String("");
        group_description= new String("");

        try {

            String group_name = null;
            if (request.getParameter("group_name") != null) {
                group_name = new String(request.getParameter("group_name"));
                setGroupName(group_name);
            }

            String group_description = null;
            if (request.getParameter("group_description") != null) {
                group_description = new String(request.getParameter("group_description"));
                setGroupDescription(group_description);
            }


		} catch (Exception e) {
		            throw e;
		}
    }



    /**
     * unique identifier of the Group table
     */
    public int getGroupId(){
        return group_id;
    }

    public String getGroupIdString() {
        return Integer.toString(group_id);
    }

    public String getGroupName(){
        return group_name;
    }

    public String getGroupDescription(){
        return group_description;
    }


    /**
     * unique identifier of the Group table
     *
     * @param newVal    newVal
     */
    public void setGroupId(int newVal){
        group_id = newVal;
    }

    public void setGroupName(String newVal){
        group_name = newVal;
    }

    /**
     * group_name
     *
     * @param newVal    newVal
     */
    public void setGroupDescription(String newVal){
        group_description = newVal;
    }


    public String toString() {
        String returnString = "Group Id: " + getGroupIdString() + " | " +
                "Name: "  + getGroupName() + " | " +
                "Description: "  + getGroupDescription();
        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}