package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class InvestmentTypeLookup {


    protected int type_id;
    protected String type_name;


    public InvestmentTypeLookup(){
        type_id = 0;
        type_name = new String();

   }

   public InvestmentTypeLookup(int portfolioId){
        type_id = portfolioId;
        type_name = new String();
    }

    public InvestmentTypeLookup(InvestmentTypeLookup pInvestment) {
        type_id = pInvestment.type_id;
        type_name = new String(pInvestment.type_name);

    }

    public InvestmentTypeLookup(HttpServletRequest request) throws Exception {
        type_id = 0;

        try {

            String type_id = null;
            if (request.getParameter("type_id") != null) {
                type_id = new String(request.getParameter("type_id"));
                setTypeId(new Integer(type_id).intValue());
            }

            String type_name = null;
            if (request.getParameter("type_name") != null) {
                type_name = new String(request.getParameter("type_name"));
                setTypeName(type_name);
            }

		} catch (Exception e) {
		            throw e;
		}
    }



    /**
     * unique identifier of the InvestmentTypeLookup table
     */
    public int getTypeId(){
        return type_id;
    }

    public String getTypeIdString() {
        return Integer.toString(type_id);
    }

    public String getTypeName(){
        return type_name;
    }


    /**
     * unique identifier of the InvestmentTypeLookup table
     *
     * @param newVal    newVal
     */
    public void setTypeId(int newVal){
        type_id = newVal;
    }

    /**
     * unique identifier of the InvestmentTypeLookup table
     *
     * @param newVal    newVal
     */
    public void setTypeName(String newVal){
        type_name = newVal;
    }
    public String toString() {
        String returnString = "Type Id: " + getTypeIdString() + " | " +
        "Type Name: " + getTypeName();

        return (returnString);
    }
    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}