package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class UserGroupLink {


    protected int group_id;
    protected int user_id;

    public UserGroupLink(){
        group_id = 0;
        user_id = 0;
    }

    public UserGroupLink(int userId){
        group_id = userId;
        user_id = 0;
    }


    public UserGroupLink(UserGroupLink pGroup) {
        group_id = pGroup.group_id;
        user_id = pGroup.user_id;
    }

    public UserGroupLink(HttpServletRequest request) throws Exception {
        group_id = 0;
        user_id = 0;
    }



    /**
     * unique identifier of the UserGroupLink table
     */
    public int getGroupId(){
        return group_id;
    }

    public String getGroupIdString() {
        return Integer.toString(group_id);
    }

    public int getUserId(){
        return user_id;
    }

    public String getUserIdString() {
        return Integer.toString(user_id);
    }



    /**
     * unique identifier of the UserGroupLink table
     *
     * @param newVal    newVal
     */
    public void setGroupId(int newVal){
        group_id = newVal;
    }


    public void setUserId(int newVal){
        user_id = newVal;
    }


    public String toString() {
        String returnString = "Group Id: " + getGroupIdString() + " | " +
                "User Id: "  + getUserIdString();
        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}