package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class AxisSubCategory {


    protected int category_id;
    protected int parent_category_id;

    public AxisSubCategory(){
        category_id = 0;
        parent_category_id = 0;
    }
    public AxisSubCategory(int categoryId){
        category_id = categoryId;
        parent_category_id = 0;
    }


    public AxisSubCategory(AxisSubCategory pAxisCategory) {
        category_id = pAxisCategory.category_id;
        parent_category_id = pAxisCategory.parent_category_id;
    }

    /**
     * unique identifier of the AxisSubCategory table
     */
    public int getCategoryId(){
        return category_id;
    }

    public String getCategoryIdString() {
        return Integer.toString(category_id);
    }
    /**
     * unique identifier of the AxisSubCategory table
     */
    public int getParentCategoryId(){
        return parent_category_id;
    }

    public String getParentCategoryIdString() {
        return Integer.toString(parent_category_id);
    }

    /**
     * unique identifier of the AxisSubCategory table
     *
     * @param newVal    newVal
     */
    public void setCategoryId(int newVal){
        category_id = newVal;
    }
    /**
     * unique identifier of the AxisSubCategory table
     *
     * @param newVal    newVal
     */
    public void setParentCategoryId(int newVal){
        parent_category_id = newVal;
    }

    public String toString() {
        String returnString = "Category Id: " + getCategoryIdString()  + " | " +
             "Parent Category Id: " + getParentCategoryIdString();

        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}