package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class GroupsRolesLink {


    protected int group_id;
    protected int role_id;

    public GroupsRolesLink(){
        group_id = 0;
        role_id = 0;
    }

    public GroupsRolesLink(int roleId){
        group_id = roleId;
        role_id = 0;
    }


    public GroupsRolesLink(GroupsRolesLink pGroup) {
        group_id = pGroup.group_id;
        role_id = pGroup.role_id;
    }

    public GroupsRolesLink(HttpServletRequest request) throws Exception {
        group_id = 0;
        role_id = 0;
    }



    /**
     * unique identifier of the GroupsRolesLink table
     */
    public int getGroupId(){
        return group_id;
    }

    public String getGroupIdString() {
        return Integer.toString(group_id);
    }

    public int getRoleId(){
        return role_id;
    }

    public String getRoleIdString() {
        return Integer.toString(role_id);
    }



    /**
     * unique identifier of the GroupsRolesLink table
     *
     * @param newVal    newVal
     */
    public void setGroupId(int newVal){
        group_id = newVal;
    }


    public void setRoleId(int newVal){
        role_id = newVal;
    }


    public String toString() {
        String returnString = "Group Id: " + getGroupIdString() + " | " +
                "Role Id: "  + getRoleIdString();
        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}