package com.asc.server.objects;

/**
 * @created 27-Jan-2007 9:30:48 PM
 * @author Travis Kennedy
 * @version 1.0
 */
import com.core.server.objects.*;
import javax.servlet.http.*;
import com.core.server.common.*;

public class TypeLookup {


    protected int type_id;
    protected String type_name;

    public TypeLookup(){
        type_id = 0;
        type_name= new String("");
    }

    public TypeLookup(int roleId){
        type_id = roleId;
        type_name= new String("");

    }


    public TypeLookup(TypeLookup pSector) {
        type_id = pSector.type_id;
        type_name= new String(pSector.type_name);

    }

    public TypeLookup(HttpServletRequest request) throws Exception {
        type_id = 0;
        type_name= new String("");

        try {

            String type_name = null;
            if (request.getParameter("type_name") != null) {
                type_name = new String(request.getParameter("type_name"));
                setTypeName(type_name);
            }


		} catch (Exception e) {
		            throw e;
		}
    }



    /**
     * unique identifier of the TypeLookup table
     */
    public int getTypeId(){
        return type_id;
    }

    public String getTypeIdString() {
        return Integer.toString(type_id);
    }

    public String getTypeName(){
        return type_name;
    }


    /**
     * unique identifier of the TypeLookup table
     *
     * @param newVal    newVal
     */
    public void setTypeId(int newVal){
        type_id = newVal;
    }

    public void setTypeName(String newVal){
        type_name = newVal;
    }


    public String toString() {
        String returnString = "TypeLookup Id: " + getTypeIdString() + " | " +
                "TypeName: "  + getTypeName();
        return (returnString);
    }

    /**
     *
     * @exception Throwable Throwable
     */
    public void finalize()
    throws Throwable{

    }
}